package me.chyxion.tigon.test;

import me.chyxion.tigon.util.WordUtils;
import org.junit.Test;

/**
 * @author Shaun Chyxion <br>
 * chyxion@163.com <br>
 * May 30, 2017 12:05:52
 */
public class WordUtilsTest {

    @Test
    public void testSplit() {
        System.err.println(WordUtils.convertCamelCase("MySQL", "_"));
        System.err.println(WordUtils.convertCamelCase("log4", "_"));
        System.err.println(WordUtils.convertCamelCase("log4j", "_"));
        System.err.println(WordUtils.convertCamelCase("log4J", "_"));
        System.err.println(WordUtils.convertCamelCase("JSONObject", "_"));
        System.err.println(WordUtils.convertCamelCase("JSONObject", "_"));
        System.err.println(WordUtils.convertCamelCase("99Rose", "_"));
        System.err.println(WordUtils.convertCamelCase("99rose", "_"));
    }
}
